@if (!isActive()) {
  <sqtm-core-toggle-icon
    class="full-height full-width icon-container current-workspace-main-color'"
    [active]="false"
  >
    <i
      nz-icon
      nzType="sqtm-core-campaign:workflow-logs"
      nzTheme="outline"
      class="table-icon-size"
      nz-tooltip
      [nzTooltipTitle]="inactiveTooltipTemplate"
      nzTooltipPlacement="topRight"
      [attr.data-test-button-id]="'workflow-logs'"
    ></i>
  </sqtm-core-toggle-icon>
} @else if (row.data['workflows'].length == 1) {
  <sqtm-core-toggle-icon
    class="full-height full-width icon-container current-workspace-main-color'"
    [active]="true"
    (click)="openWorkflowLogsModal(row.data['workflows'][0])"
  >
    <i
      nz-icon
      nzType="sqtm-core-campaign:workflow-logs"
      nzTheme="outline"
      class="table-icon-size"
      nz-tooltip
      [nzTooltipTitle]="'Logs'"
      nzTooltipPlacement="topRight"
      [style.color]="'current-workspace-main-color'"
      [attr.data-test-button-id]="'workflow-logs'"
    ></i>
  </sqtm-core-toggle-icon>
} @else {
  <sqtm-core-toggle-icon
    class="full-height full-width icon-container current-workspace-main-color'"
    [active]="true"
    nz-popover
    [nzPopoverContent]="workflowsMenu"
    [nzPopoverTrigger]="'click'"
    [nzPopoverPlacement]="'left'"
  >
    <i
      nz-icon
      nzType="sqtm-core-campaign:workflow-logs"
      nzTheme="outline"
      class="table-icon-size"
      nz-tooltip
      [nzTooltipTitle]="'Logs'"
      nzTooltipPlacement="topRight"
      [style.color]="'current-workspace-main-color'"
      [attr.data-test-button-id]="'workflow-logs'"
    ></i>
  </sqtm-core-toggle-icon>
}

<ng-template #workflowsMenu>
  @for (workflow of row.data['workflows']; track workflow) {
    <div>
      <a
        class="workflows-uuids"
        [attr.data-test-link-id]="'workflow-log-' + workflow['workflowId']"
        (click)="openWorkflowLogsModal(workflow)"
      >
        {{ getWorkflowUuidLabel(workflow['workflowId']) }}
      </a>
    </div>
  }
</ng-template>

<ng-template #inactiveTooltipTemplate>
  <div>
    {{
      'sqtm-core.campaign-workspace.automated-suite.workflow-viewer.devops-disabled-button-message'
        | translate
    }}
    <a
      href="{{ OPEN_TEST_FACTORY_GET_WORKFLOW_URL }}"
      target="_blank"
      class="link-color"
      >opentf-ctl</a
    >.
  </div>
</ng-template>
